HanMacWrdJGraphInternal::PictureFrame Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
HanMacWrdJGraphInternal::PictureFrame Struct Referencefinal

Internal: the picture frame of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::PictureFrame:

## Public Member Functions
| PictureFrame (Frame const &orig)
| constructor More...
| ~PictureFrame () final
| destructor More...
bool | valid () const final
| returns true if the frame data are read More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor More...
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
MWAWEntry | m_entry
| the picture entry More...
long | m_zId
| the picture id More...
MWAWVec2i | m_dim
| the picture size More...
MWAWVec2f | m_scale
| the scale More...
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
bool | m_inGroup
| true if this node is a group's child More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: the picture frame of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ PictureFrame()

HanMacWrdJGraphInternal::PictureFrame::PictureFrame | ( | Frame const & | orig | ) |
| inlineexplicit

constructor

## ◆ ~PictureFrame()

HanMacWrdJGraphInternal::PictureFrame::~PictureFrame | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string HanMacWrdJGraphInternal::PictureFrame::print | ( |  | ) | const
| inline

print local data

## ◆ valid()

bool HanMacWrdJGraphInternal::PictureFrame::valid | ( |  | ) | const
| inlinefinalvirtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

## Member Data Documentation

## ◆ m_dim

MWAWVec2i HanMacWrdJGraphInternal::PictureFrame::m_dim

the picture size

Referenced by print().

## ◆ m_entry

MWAWEntry HanMacWrdJGraphInternal::PictureFrame::m_entry

the picture entry

Referenced by HanMacWrdJGraph::readPicture(), and HanMacWrdJGraph::sendPictureFrame().

## ◆ m_scale

MWAWVec2f HanMacWrdJGraphInternal::PictureFrame::m_scale

the scale

Referenced by print().

## ◆ m_zId

long HanMacWrdJGraphInternal::PictureFrame::m_zId

the picture id

Referenced by print().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx